get.area.gamma<-function(meanarea=20,vararea=100,n=1000) {		# look-up table of gamma values for landholding areas
	sha=meanarea^2/vararea
	sca=vararea/meanarea
	return(as.integer(round(rgamma(n,shape=sha,scale=sca))))
}

makeLandscapes<-function(meanarea,vararea,nlandscapes,modellandscape,maxTSD=70,threads=8,filename="landscapes.dat") {
	areagamma=get.area.gamma(meanarea,vararea)
	cat("Making landscapes with mean=",meanarea,"and var=",vararea,"; maximum property area:",max(areagamma),"\n");
	.Call("makeLandscapes",as.integer(nlandscapes),modellandscape,areagamma,as.integer(maxTSD),as.integer(threads),filename)
}

simulateOneSolution<-function(pars,objfuncpars) {
	return(.Call("simulateOneSolution",pars,objfuncpars))
}

loadLandscape<-function(n) {
	return(.Call("loadLandscape",as.integer(n)))
}


